Create a voice translation job
curl --request POST \
--url https://api.deepl.com/v1/jobs/voice/translate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"source_file": {
"name": "podcast-episode-42.mp3",
"content_type": "audio/mpeg",
"content_length": 15728640
},
"targets": [
{
"language": "de",
"type": "text/plain"
},
{
"language": "es",
"type": "audio/pcm;encoding=s16le;rate=16000"
}
]
}
'{
"job_id": "a74d88fb-ed2a-4943-a664-a4512398b994",
"upload_url": "https://assets.deepl.com/collections/a74d88fb-ed2a-4943-a664-a4512398b994/assets/b1c2d3e4-f5a6-7890-abcd-ef1234567890",
"signature": "eyJhbGciOiJIUzI1NiIs..."
}{
"message": "/targets/0/type: Value is not valid"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Translate Audio Files
Create a voice translation job
Create an asynchronous voice translation job and receive an upload URL for your source audio file.
POST
/
v1
/
jobs
/
voice
/
translate
Create a voice translation job
curl --request POST \
--url https://api.deepl.com/v1/jobs/voice/translate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"source_file": {
"name": "podcast-episode-42.mp3",
"content_type": "audio/mpeg",
"content_length": 15728640
},
"targets": [
{
"language": "de",
"type": "text/plain"
},
{
"language": "es",
"type": "audio/pcm;encoding=s16le;rate=16000"
}
]
}
'{
"job_id": "a74d88fb-ed2a-4943-a664-a4512398b994",
"upload_url": "https://assets.deepl.com/collections/a74d88fb-ed2a-4943-a664-a4512398b994/assets/b1c2d3e4-f5a6-7890-abcd-ef1234567890",
"signature": "eyJhbGciOiJIUzI1NiIs..."
}{
"message": "/targets/0/type: Value is not valid"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}{
"message": "<string>",
"code": "invalid_content_type"
}Authorizations
Query Parameters
Body
application/json
Response
Job created successfully.
The URL to upload the source audio file to via PUT with Content-Type: application/octet-stream.
Requires the Authorization: DeepL-Signature {signature} header.
See Upload File for details.